Bug 1889122 - fwupd [NEEDINFO]
Summary: fwupd
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fwupd
Version: 32
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1889129 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-18 03:10 UTC by FlyDove
Modified: 2021-01-20 12:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-20 12:51:48 UTC
Type: Bug
rhughes: needinfo? (flydove)


Attachments (Terms of Use)
fwupd error gnome software (38.82 KB, image/png)
2020-11-05 07:01 UTC, FlyDove
no flags Details

Description FlyDove 2020-10-18 03:10:15 UTC
sudo systemctl restart fwupd
Job for fwupd.service failed because a fatal signal was delivered causing the control process to dump core.
See "systemctl status fwupd.service" and "journalctl -xe" for details.

$ sudo systemctl status fwupd
● fwupd.service - Firmware update daemon
     Loaded: loaded (/usr/lib/systemd/system/fwupd.service; static; vendor preset: disabled)
     Active: failed (Result: core-dump) since Sun 2020-10-18 11:06:04 CST; 6s ago
       Docs: https://fwupd.org/
    Process: 63789 ExecStart=/usr/libexec/fwupd/fwupd (code=dumped, signal=SEGV)
   Main PID: 63789 (code=dumped, signal=SEGV)
        CPU: 77ms

10月 18 11:06:04   systemd[1]: Starting Firmware update daemon...
10月 18 11:06:04   systemd[1]: fwupd.service: Main process exited, code=dumped, status=11/SEGV
10月 18 11:06:04   systemd[1]: fwupd.service: Failed with result 'core-dump'.
10月 18 11:06:04   systemd[1]: Failed to start Firmware update daemon.

Comment 1 Richard Hughes 2020-10-18 18:45:47 UTC
*** Bug 1889129 has been marked as a duplicate of this bug. ***

Comment 2 Richard Hughes 2020-10-18 18:46:40 UTC
Can you get a backtrace from /usr/libexec/fwupd/fwupd please?

Comment 3 FlyDove 2020-10-20 04:53:35 UTC

$   /usr/libexec/fwupd/fwupd 

Failed to load engine: Failed to load remotes: Error opening file  Permission denied  sudo chmod 777 for 

as: 
/sys/firmware/dmi/tables/smbios_entry_point
/sys/firmware/dmi/tables/DMI
/var/cache/fwupd/metainfo.xmlb
/sys/firmware/dmi/tables/smbios_entry_point
/sys/firmware/dmi/tables/DMI
Segmentation fault (core dumped)


sudo systemctl status fwupd
● fwupd.service - Firmware update daemon
     Loaded: loaded (/usr/lib/systemd/system/fwupd.service; static; vendor preset: disabled)
     Active: failed (Result: core-dump) since Tue 2020-10-20 12:43:19 CST; 7s ago
       Docs: https://fwupd.org/
    Process: 34373 ExecStart=/usr/libexec/fwupd/fwupd (code=dumped, signal=SEGV)
   Main PID: 34373 (code=dumped, signal=SEGV)
        CPU: 75ms

Oct 20 12:43:19 MiWiFi-R4-srv systemd[1]: Starting Firmware update daemon...
Oct 20 12:43:19 MiWiFi-R4-srv systemd[1]: fwupd.service: Main process exited, code=dumped, status=11/SEGV
Oct 20 12:43:19 MiWiFi-R4-srv systemd[1]: fwupd.service: Failed with result 'core-dump'.
Oct 20 12:43:19 MiWiFi-R4-srv systemd[1]: Failed to start Firmware update daemon.

Comment 4 Richard Hughes 2020-10-20 13:09:49 UTC
Can you get a backtrace by installing fwupd-debuginfo and then doing: "sudo gdb --args /usr/libexec/fwupd/fwupd --verbose" then type "r<enter>" to run, and then when it crashes do "bt" to show the backtrace. Thanks.

Comment 5 FlyDove 2020-10-26 02:48:49 UTC
$ sudo gdb --args /usr/libexec/fwupd/fwupd --verbose
GNU gdb (GDB) Fedora 9.1-6.fc32
Copyright (C) 2020 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/libexec/fwupd/fwupd...
Reading symbols from .gnu_debugdata for /usr/libexec/fwupd/fwupd...
(No debugging symbols found in .gnu_debugdata for /usr/libexec/fwupd/fwupd)
Missing separate debuginfos, use: dnf debuginfo-install fwupd-1.4.5-3.fc32.x86_64
(gdb) r
Starting program: /usr/libexec/fwupd/fwupd --verbose
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
02:48:01:0370 FuDebug              Verbose debugging enabled (on console 1)
02:48:01:0370 FuConfig             loading config values from /etc/fwupd/daemon.conf
[New Thread 0x7fffe9282700 (LWP 77771)]
02:48:01:0371 FuRemoteList         loading /usr/share/fwupd/metainfo
02:48:01:0371 XbSilo               attempting to load /var/cache/fwupd/metainfo.xmlb
02:48:01:0371 XbSilo               file: 065e2dd6-0a4d-092b-41ef-8b36bfa7ae27, current:065e2dd6-0a4d-092b-41ef-8b36bfa7ae27, cached: (null)
02:48:01:0371 XbSilo               loading silo with file contents
02:48:01:0371 Fwupd                looking for os-release at /etc/os-release
02:48:01:0371 FuRemoteList         loading remotes from /etc/fwupd/remotes.d/dell-esrt.conf
02:48:01:0371 FuRemoteList         loading remotes from /etc/fwupd/remotes.d/lvfs-testing.conf
02:48:01:0372 FuRemoteList         loading remotes from /etc/fwupd/remotes.d/lvfs.conf
02:48:01:0372 FuRemoteList         loading remotes from /etc/fwupd/remotes.d/vendor-directory.conf
02:48:01:0372 FuRemoteList         loading remotes from /etc/fwupd/remotes.d/vendor.conf
02:48:01:0372 FuRemoteList         ordering lvfs-testing=lvfs+1
02:48:01:0372 FuRemoteList         ignoring unfound remote fwupd
02:48:01:0372 FuRemoteList         ignoring unfound remote fwupd
02:48:01:0372 FuRemoteList         ignoring unfound remote fwupd
02:48:01:0372 FuRemoteList         ignoring unfound remote fwupd
02:48:01:0372 Jcat                 ignoring GPG-KEY-Hughski-Limited as not PKCS-7 certificate
02:48:01:0372 Jcat                 ignoring GPG-KEY-Linux-Foundation-Firmware as not PKCS-7 certificate
02:48:01:0372 Jcat                 ignoring GPG-KEY-Linux-Vendor-Firmware-Service as not PKCS-7 certificate
02:48:01:0372 Jcat                 trying to load certificate from /etc/pki/fwupd/LVFS-CA.pem
02:48:01:0372 Jcat                 reading /etc/pki/fwupd/LVFS-CA.pem with 1679 bytes
02:48:01:0372 Jcat                 loaded 1 certificates
02:48:01:0372 Jcat                 ignoring GPG-KEY-Linux-Foundation-Metadata as not PKCS-7 certificate
02:48:01:0372 Jcat                 ignoring GPG-KEY-Linux-Vendor-Firmware-Service as not PKCS-7 certificate
02:48:01:0372 Jcat                 trying to load certificate from /etc/pki/fwupd-metadata/LVFS-CA.pem
02:48:01:0372 Jcat                 reading /etc/pki/fwupd-metadata/LVFS-CA.pem with 1679 bytes
02:48:01:0372 Jcat                 loaded 1 certificates
02:48:01:0372 Jcat                 reading /var/lib/fwupd/pki/secret.key with 2459 bytes
02:48:01:0372 Jcat                 reading /var/lib/fwupd/pki/client.pem with 1383 bytes
02:48:01:0379 FuEngine             client certificate exists and working
02:48:01:0379 FuHistory            trying to open database '/var/lib/fwupd/pending.db'
02:48:01:0379 FuHistory            got schema version of 5
02:48:01:0379 FuIdle               setting timeout to 7200s
02:48:01:0379 FuHwids              smbios property Manufacturer=Hewlett-Packard
02:48:01:0379 FuHwids              smbios property EnclosureKind=a
02:48:01:0379 FuHwids              smbios property Family=103C_5335KV G=N L=CON B=HP
02:48:01:0379 FuHwids              smbios property ProductName=HP Notebook
02:48:01:0379 FuHwids              smbios property ProductSku=N1W22PA#AB2
02:48:01:0379 FuHwids              smbios property BiosVendor=Insyde
02:48:01:0379 FuHwids              smbios property BiosVersion=F.0C
02:48:01:0379 FuHwids              smbios property BiosMajorRelease=0f
02:48:01:0379 FuHwids              smbios property BiosMinorRelease=0c
02:48:01:0379 FuHwids              smbios property BaseboardManufacturer=Hewlett-Packard
02:48:01:0379 FuHwids              smbios property BaseboardProduct=80C2
02:48:01:0383 FuQuirks             no /var/lib/fwupd/quirks.d, skipping
02:48:01:0383 XbSilo               attempting to load /var/cache/fwupd/quirks.xmlb
02:48:01:0384 XbSilo               file: 69711b9d-12f4-ee26-5b52-e4075b475acd, current:69711b9d-12f4-ee26-5b52-e4075b475acd, cached: (null)
02:48:01:0384 XbSilo               loading silo with file contents
02:48:01:0384 FuEngine             remote lvfs-testing not enabled, so skipping
02:48:01:0384 FuEngine             remote vendor not enabled, so skipping
02:48:01:0384 FuEngine             remote vendor-directory not enabled, so skipping
02:48:01:0384 XbSilo               attempting to load /var/cache/fwupd/metadata.xmlb
02:48:01:0384 XbSilo               0.02ms      parse blob
02:48:01:0384 XbSilo               0.05ms      loaded file
02:48:01:0384 XbSilo               file: 062505cf-541c-923c-9ed9-93fdd8ba80d7, current:062505cf-541c-923c-9ed9-93fdd8ba80d7, cached: (null)
02:48:01:0384 XbSilo               loading silo with file contents
02:48:01:0384 XbSilo               0.01ms      parse blob
02:48:01:0384 XbSilo               0.30ms      query on / with `components/component` limit=0 -> 477 results
02:48:01:0384 FuEngine             477 components now in silo
02:48:01:0385 XbSilo               0.40ms      query on / with `components/component/provides/firmware` limit=0 -> 566 results
02:48:01:0385 XbSilo               0.17ms      query on / with `components/component/provides/firmware` limit=0 -> 566 results
[New Thread 0x7fffe8871700 (LWP 77772)]
[New Thread 0x7fffe3fff700 (LWP 77773)]
02:48:01:0389 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_coreboot.so
02:48:01:0394 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_coreboot.so
02:48:01:0394 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_cpu.so
02:48:01:0396 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_cpu.so
02:48:01:0396 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_csr.so
02:48:01:0398 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_csr.so
02:48:01:0398 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dell.so
02:48:01:0416 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dell.so
02:48:01:0416 FuPluginDell         Using libsmbios 2.4
02:48:01:0416 GLib                 setenv()/putenv() are not thread-safe and should not be used after threads are created
02:48:01:0416 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_dock.so
02:48:01:0419 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_dock.so
02:48:01:0419 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_esrt.so
02:48:01:0421 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_esrt.so
02:48:01:0421 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dfu.so
02:48:01:0425 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dfu.so
02:48:01:0425 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_ebitdo.so
02:48:01:0427 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_ebitdo.so
02:48:01:0427 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_emmc.so
02:48:01:0430 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_emmc.so
02:48:01:0430 FuPlugin             added udev subsystem watch of block
02:48:01:0430 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_fastboot.so
02:48:01:0434 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_fastboot.so
02:48:01:0434 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_flashrom.so
02:48:01:0443 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_flashrom.so
02:48:01:0443 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_jabra.so
02:48:01:0445 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_jabra.so
02:48:01:0445 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_modem_manager.so
02:48:01:0487 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_modem_manager.so
02:48:01:0488 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_nvme.so
02:48:01:0490 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_nvme.so
02:48:01:0490 FuPlugin             added udev subsystem watch of nvme
02:48:01:0490 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_optionrom.so
02:48:01:0492 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_optionrom.so
02:48:01:0492 FuPlugin             added udev subsystem watch of pci
02:48:01:0492 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_redfish.so
02:48:01:0498 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_redfish.so
02:48:01:0498 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_solokey.so
02:48:01:0503 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_solokey.so
02:48:01:0503 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_steelseries.so
02:48:01:0505 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_steelseries.so
02:48:01:0505 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_superio.so
02:48:01:0508 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_superio.so
02:48:01:0508 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_prometheus.so
02:48:01:0510 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_prometheus.so
02:48:01:0510 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_rmi.so
02:48:01:0512 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_rmi.so
02:48:01:0513 FuPlugin             added udev subsystem watch of hidraw
02:48:01:0513 FuEngine             plugin test is blacklisted
02:48:01:0513 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_tpm_eventlog.so
02:48:01:0515 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_tpm_eventlog.so
02:48:01:0515 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_uefi_recovery.so
02:48:01:0516 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_uefi_recovery.so
02:48:01:0516 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_vli.so
02:48:01:0519 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_vli.so
02:48:01:0519 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synapticsmst.so
warning: Loadable section ".note.gnu.property" outside of ELF segments
02:48:01:0524 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synapticsmst.so

Thread 1 "fwupd" received signal SIGSEGV, Segmentation fault.
0x00007ffff784cd35 in realloc () from /lib64/libc.so.6
(gdb) r
The program being debugged has been started already.
Start it from the beginning? (y or n) y
Starting program: /usr/libexec/fwupd/fwupd --verbose
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
02:48:05:0090 FuDebug              Verbose debugging enabled (on console 1)
02:48:05:0090 FuConfig             loading config values from /etc/fwupd/daemon.conf
[New Thread 0x7fffe9282700 (LWP 77815)]
02:48:05:0091 FuRemoteList         loading /usr/share/fwupd/metainfo
02:48:05:0091 XbSilo               attempting to load /var/cache/fwupd/metainfo.xmlb
02:48:05:0091 XbSilo               file: 065e2dd6-0a4d-092b-41ef-8b36bfa7ae27, current:065e2dd6-0a4d-092b-41ef-8b36bfa7ae27, cached: (null)
02:48:05:0091 XbSilo               loading silo with file contents
02:48:05:0091 Fwupd                looking for os-release at /etc/os-release
02:48:05:0091 FuRemoteList         loading remotes from /etc/fwupd/remotes.d/dell-esrt.conf
02:48:05:0091 FuRemoteList         loading remotes from /etc/fwupd/remotes.d/lvfs-testing.conf
02:48:05:0092 FuRemoteList         loading remotes from /etc/fwupd/remotes.d/lvfs.conf
02:48:05:0092 FuRemoteList         loading remotes from /etc/fwupd/remotes.d/vendor-directory.conf
02:48:05:0092 FuRemoteList         loading remotes from /etc/fwupd/remotes.d/vendor.conf
02:48:05:0092 FuRemoteList         ordering lvfs-testing=lvfs+1
02:48:05:0092 FuRemoteList         ignoring unfound remote fwupd
02:48:05:0092 FuRemoteList         ignoring unfound remote fwupd
02:48:05:0092 FuRemoteList         ignoring unfound remote fwupd
02:48:05:0092 FuRemoteList         ignoring unfound remote fwupd
02:48:05:0092 Jcat                 ignoring GPG-KEY-Hughski-Limited as not PKCS-7 certificate
02:48:05:0092 Jcat                 ignoring GPG-KEY-Linux-Foundation-Firmware as not PKCS-7 certificate
02:48:05:0092 Jcat                 ignoring GPG-KEY-Linux-Vendor-Firmware-Service as not PKCS-7 certificate
02:48:05:0092 Jcat                 trying to load certificate from /etc/pki/fwupd/LVFS-CA.pem
02:48:05:0092 Jcat                 reading /etc/pki/fwupd/LVFS-CA.pem with 1679 bytes
02:48:05:0093 Jcat                 loaded 1 certificates
02:48:05:0093 Jcat                 ignoring GPG-KEY-Linux-Foundation-Metadata as not PKCS-7 certificate
02:48:05:0093 Jcat                 ignoring GPG-KEY-Linux-Vendor-Firmware-Service as not PKCS-7 certificate
02:48:05:0093 Jcat                 trying to load certificate from /etc/pki/fwupd-metadata/LVFS-CA.pem
02:48:05:0093 Jcat                 reading /etc/pki/fwupd-metadata/LVFS-CA.pem with 1679 bytes
02:48:05:0093 Jcat                 loaded 1 certificates
02:48:05:0093 Jcat                 reading /var/lib/fwupd/pki/secret.key with 2459 bytes
02:48:05:0093 Jcat                 reading /var/lib/fwupd/pki/client.pem with 1383 bytes
02:48:05:0105 FuEngine             client certificate exists and working
02:48:05:0105 FuHistory            trying to open database '/var/lib/fwupd/pending.db'
02:48:05:0105 FuHistory            got schema version of 5
02:48:05:0106 FuIdle               setting timeout to 7200s
02:48:05:0106 FuHwids              smbios property Manufacturer=Hewlett-Packard
02:48:05:0106 FuHwids              smbios property EnclosureKind=a
02:48:05:0106 FuHwids              smbios property Family=103C_5335KV G=N L=CON B=HP
02:48:05:0106 FuHwids              smbios property ProductName=HP Notebook
02:48:05:0106 FuHwids              smbios property ProductSku=N1W22PA#AB2
02:48:05:0106 FuHwids              smbios property BiosVendor=Insyde
02:48:05:0106 FuHwids              smbios property BiosVersion=F.0C
02:48:05:0106 FuHwids              smbios property BiosMajorRelease=0f
02:48:05:0106 FuHwids              smbios property BiosMinorRelease=0c
02:48:05:0106 FuHwids              smbios property BaseboardManufacturer=Hewlett-Packard
02:48:05:0106 FuHwids              smbios property BaseboardProduct=80C2
02:48:05:0111 FuQuirks             no /var/lib/fwupd/quirks.d, skipping
02:48:05:0111 XbSilo               attempting to load /var/cache/fwupd/quirks.xmlb
02:48:05:0111 XbSilo               file: 69711b9d-12f4-ee26-5b52-e4075b475acd, current:69711b9d-12f4-ee26-5b52-e4075b475acd, cached: (null)
02:48:05:0111 XbSilo               loading silo with file contents
02:48:05:0112 FuEngine             remote lvfs-testing not enabled, so skipping
02:48:05:0112 FuEngine             remote vendor not enabled, so skipping
02:48:05:0112 FuEngine             remote vendor-directory not enabled, so skipping
02:48:05:0112 XbSilo               attempting to load /var/cache/fwupd/metadata.xmlb
02:48:05:0112 XbSilo               0.02ms      parse blob
02:48:05:0112 XbSilo               0.06ms      loaded file
02:48:05:0112 XbSilo               file: 062505cf-541c-923c-9ed9-93fdd8ba80d7, current:062505cf-541c-923c-9ed9-93fdd8ba80d7, cached: (null)
02:48:05:0112 XbSilo               loading silo with file contents
02:48:05:0112 XbSilo               0.01ms      parse blob
02:48:05:0113 XbSilo               0.30ms      query on / with `components/component` limit=0 -> 477 results
02:48:05:0113 FuEngine             477 components now in silo
02:48:05:0113 XbSilo               0.46ms      query on / with `components/component/provides/firmware` limit=0 -> 566 results
02:48:05:0113 XbSilo               0.23ms      query on / with `components/component/provides/firmware` limit=0 -> 566 results
[New Thread 0x7fffe8871700 (LWP 77816)]
[New Thread 0x7fffe3fff700 (LWP 77817)]
02:48:05:0118 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_coreboot.so
02:48:05:0123 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_coreboot.so
02:48:05:0123 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_cpu.so
02:48:05:0124 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_cpu.so
02:48:05:0124 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_csr.so
02:48:05:0127 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_csr.so
02:48:05:0127 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dell.so
02:48:05:0142 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dell.so
02:48:05:0142 FuPluginDell         Using libsmbios 2.4
02:48:05:0142 GLib                 setenv()/putenv() are not thread-safe and should not be used after threads are created
02:48:05:0143 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_dock.so
02:48:05:0145 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_dock.so
02:48:05:0145 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_esrt.so
02:48:05:0147 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_esrt.so
02:48:05:0147 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dfu.so
02:48:05:0153 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dfu.so
02:48:05:0153 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_ebitdo.so
02:48:05:0156 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_ebitdo.so
02:48:05:0156 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_emmc.so
02:48:05:0159 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_emmc.so
02:48:05:0159 FuPlugin             added udev subsystem watch of block
02:48:05:0159 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_fastboot.so
02:48:05:0161 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_fastboot.so
02:48:05:0162 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_flashrom.so
02:48:05:0171 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_flashrom.so
02:48:05:0171 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_jabra.so
02:48:05:0173 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_jabra.so
02:48:05:0173 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_modem_manager.so
02:48:05:0215 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_modem_manager.so
02:48:05:0215 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_nvme.so
02:48:05:0217 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_nvme.so
02:48:05:0217 FuPlugin             added udev subsystem watch of nvme
02:48:05:0217 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_optionrom.so
02:48:05:0220 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_optionrom.so
02:48:05:0220 FuPlugin             added udev subsystem watch of pci
02:48:05:0220 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_redfish.so
02:48:05:0224 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_redfish.so
02:48:05:0224 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_solokey.so
02:48:05:0226 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_solokey.so
02:48:05:0226 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_steelseries.so
02:48:05:0229 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_steelseries.so
02:48:05:0229 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_superio.so
02:48:05:0232 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_superio.so
02:48:05:0232 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_prometheus.so
02:48:05:0235 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_prometheus.so
02:48:05:0235 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_rmi.so
02:48:05:0239 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_rmi.so
02:48:05:0239 FuPlugin             added udev subsystem watch of hidraw
02:48:05:0239 FuEngine             plugin test is blacklisted
02:48:05:0239 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_tpm_eventlog.so
02:48:05:0241 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_tpm_eventlog.so
02:48:05:0241 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_uefi_recovery.so
02:48:05:0244 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_uefi_recovery.so
02:48:05:0244 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_vli.so
02:48:05:0247 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_vli.so
02:48:05:0247 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synapticsmst.so
warning: Loadable section ".note.gnu.property" outside of ELF segments
02:48:05:0254 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synapticsmst.so

Thread 1 "fwupd" received signal SIGSEGV, Segmentation fault.
0x00007ffff784cd35 in realloc () from /lib64/libc.so.6
(gdb) r
The program being debugged has been started already.
Start it from the beginning? (y or n) y
Starting program: /usr/libexec/fwupd/fwupd --verbose
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
02:48:08:0216 FuDebug              Verbose debugging enabled (on console 1)
02:48:08:0216 FuConfig             loading config values from /etc/fwupd/daemon.conf
[New Thread 0x7fffe9282700 (LWP 77860)]
02:48:08:0217 FuRemoteList         loading /usr/share/fwupd/metainfo
02:48:08:0217 XbSilo               attempting to load /var/cache/fwupd/metainfo.xmlb
02:48:08:0217 XbSilo               file: 065e2dd6-0a4d-092b-41ef-8b36bfa7ae27, current:065e2dd6-0a4d-092b-41ef-8b36bfa7ae27, cached: (null)
02:48:08:0217 XbSilo               loading silo with file contents
02:48:08:0217 Fwupd                looking for os-release at /etc/os-release
02:48:08:0217 FuRemoteList         loading remotes from /etc/fwupd/remotes.d/dell-esrt.conf
02:48:08:0217 FuRemoteList         loading remotes from /etc/fwupd/remotes.d/lvfs-testing.conf
02:48:08:0218 FuRemoteList         loading remotes from /etc/fwupd/remotes.d/lvfs.conf
02:48:08:0218 FuRemoteList         loading remotes from /etc/fwupd/remotes.d/vendor-directory.conf
02:48:08:0218 FuRemoteList         loading remotes from /etc/fwupd/remotes.d/vendor.conf
02:48:08:0218 FuRemoteList         ordering lvfs-testing=lvfs+1
02:48:08:0218 FuRemoteList         ignoring unfound remote fwupd
02:48:08:0218 FuRemoteList         ignoring unfound remote fwupd
02:48:08:0218 FuRemoteList         ignoring unfound remote fwupd
02:48:08:0218 FuRemoteList         ignoring unfound remote fwupd
02:48:08:0218 Jcat                 ignoring GPG-KEY-Hughski-Limited as not PKCS-7 certificate
02:48:08:0218 Jcat                 ignoring GPG-KEY-Linux-Foundation-Firmware as not PKCS-7 certificate
02:48:08:0218 Jcat                 ignoring GPG-KEY-Linux-Vendor-Firmware-Service as not PKCS-7 certificate
02:48:08:0218 Jcat                 trying to load certificate from /etc/pki/fwupd/LVFS-CA.pem
02:48:08:0218 Jcat                 reading /etc/pki/fwupd/LVFS-CA.pem with 1679 bytes
02:48:08:0218 Jcat                 loaded 1 certificates
02:48:08:0218 Jcat                 ignoring GPG-KEY-Linux-Foundation-Metadata as not PKCS-7 certificate
02:48:08:0218 Jcat                 ignoring GPG-KEY-Linux-Vendor-Firmware-Service as not PKCS-7 certificate
02:48:08:0218 Jcat                 trying to load certificate from /etc/pki/fwupd-metadata/LVFS-CA.pem
02:48:08:0218 Jcat                 reading /etc/pki/fwupd-metadata/LVFS-CA.pem with 1679 bytes
02:48:08:0218 Jcat                 loaded 1 certificates
02:48:08:0219 Jcat                 reading /var/lib/fwupd/pki/secret.key with 2459 bytes
02:48:08:0219 Jcat                 reading /var/lib/fwupd/pki/client.pem with 1383 bytes
02:48:08:0226 FuEngine             client certificate exists and working
02:48:08:0226 FuHistory            trying to open database '/var/lib/fwupd/pending.db'
02:48:08:0227 FuHistory            got schema version of 5
02:48:08:0227 FuIdle               setting timeout to 7200s
02:48:08:0227 FuHwids              smbios property Manufacturer=Hewlett-Packard
02:48:08:0227 FuHwids              smbios property EnclosureKind=a
02:48:08:0227 FuHwids              smbios property Family=103C_5335KV G=N L=CON B=HP
02:48:08:0227 FuHwids              smbios property ProductName=HP Notebook
02:48:08:0227 FuHwids              smbios property ProductSku=N1W22PA#AB2
02:48:08:0227 FuHwids              smbios property BiosVendor=Insyde
02:48:08:0227 FuHwids              smbios property BiosVersion=F.0C
02:48:08:0227 FuHwids              smbios property BiosMajorRelease=0f
02:48:08:0227 FuHwids              smbios property BiosMinorRelease=0c
02:48:08:0227 FuHwids              smbios property BaseboardManufacturer=Hewlett-Packard
02:48:08:0227 FuHwids              smbios property BaseboardProduct=80C2
02:48:08:0230 FuQuirks             no /var/lib/fwupd/quirks.d, skipping
02:48:08:0230 XbSilo               attempting to load /var/cache/fwupd/quirks.xmlb
02:48:08:0230 XbSilo               file: 69711b9d-12f4-ee26-5b52-e4075b475acd, current:69711b9d-12f4-ee26-5b52-e4075b475acd, cached: (null)
02:48:08:0230 XbSilo               loading silo with file contents
02:48:08:0231 FuEngine             remote lvfs-testing not enabled, so skipping
02:48:08:0231 FuEngine             remote vendor not enabled, so skipping
02:48:08:0231 FuEngine             remote vendor-directory not enabled, so skipping
02:48:08:0231 XbSilo               attempting to load /var/cache/fwupd/metadata.xmlb
02:48:08:0231 XbSilo               0.02ms      parse blob
02:48:08:0231 XbSilo               0.04ms      loaded file
02:48:08:0231 XbSilo               file: 062505cf-541c-923c-9ed9-93fdd8ba80d7, current:062505cf-541c-923c-9ed9-93fdd8ba80d7, cached: (null)
02:48:08:0231 XbSilo               loading silo with file contents
02:48:08:0231 XbSilo               0.01ms      parse blob
02:48:08:0231 XbSilo               0.24ms      query on / with `components/component` limit=0 -> 477 results
02:48:08:0231 FuEngine             477 components now in silo
02:48:08:0232 XbSilo               0.36ms      query on / with `components/component/provides/firmware` limit=0 -> 566 results
02:48:08:0232 XbSilo               0.15ms      query on / with `components/component/provides/firmware` limit=0 -> 566 results
[New Thread 0x7fffe8871700 (LWP 77861)]
[New Thread 0x7fffe3fff700 (LWP 77862)]
02:48:08:0236 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_coreboot.so
02:48:08:0241 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_coreboot.so
02:48:08:0241 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_cpu.so
02:48:08:0243 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_cpu.so
02:48:08:0243 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_csr.so
02:48:08:0246 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_csr.so
02:48:08:0246 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dell.so
02:48:08:0263 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dell.so
02:48:08:0263 FuPluginDell         Using libsmbios 2.4
02:48:08:0263 GLib                 setenv()/putenv() are not thread-safe and should not be used after threads are created
02:48:08:0263 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_dock.so
02:48:08:0266 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_dock.so
02:48:08:0266 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_esrt.so
02:48:08:0269 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dell_esrt.so
02:48:08:0269 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dfu.so
02:48:08:0274 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dfu.so
02:48:08:0274 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_ebitdo.so
02:48:08:0278 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_ebitdo.so
02:48:08:0278 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_emmc.so
02:48:08:0280 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_emmc.so
02:48:08:0280 FuPlugin             added udev subsystem watch of block
02:48:08:0280 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_fastboot.so
02:48:08:0282 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_fastboot.so
02:48:08:0282 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_flashrom.so
02:48:08:0294 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_flashrom.so
02:48:08:0294 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_jabra.so
02:48:08:0296 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_jabra.so
02:48:08:0296 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_modem_manager.so
02:48:08:0339 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_modem_manager.so
02:48:08:0339 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_nvme.so
02:48:08:0341 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_nvme.so
02:48:08:0341 FuPlugin             added udev subsystem watch of nvme
02:48:08:0341 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_optionrom.so
02:48:08:0343 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_optionrom.so
02:48:08:0343 FuPlugin             added udev subsystem watch of pci
02:48:08:0343 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_redfish.so
02:48:08:0347 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_redfish.so
02:48:08:0347 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_solokey.so
02:48:08:0349 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_solokey.so
02:48:08:0349 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_steelseries.so
02:48:08:0361 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_steelseries.so
02:48:08:0361 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_superio.so
02:48:08:0365 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_superio.so
02:48:08:0366 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_prometheus.so
02:48:08:0368 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_prometheus.so
02:48:08:0368 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_rmi.so
02:48:08:0371 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synaptics_rmi.so
02:48:08:0371 FuPlugin             added udev subsystem watch of hidraw
02:48:08:0371 FuEngine             plugin test is blacklisted
02:48:08:0371 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_tpm_eventlog.so
02:48:08:0378 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_tpm_eventlog.so
02:48:08:0378 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_uefi_recovery.so
02:48:08:0381 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_uefi_recovery.so
02:48:08:0381 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_vli.so
02:48:08:0384 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_vli.so
02:48:08:0384 FuEngine             adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synapticsmst.so
warning: Loadable section ".note.gnu.property" outside of ELF segments
02:48:08:0389 FuPlugin             performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synapticsmst.so

Thread 1 "fwupd" received signal SIGSEGV, Segmentation fault.
0x00007ffff784cd35 in realloc () from /lib64/libc.so.6

Comment 6 FlyDove 2020-11-05 07:01:03 UTC
Created attachment 1726789 [details]
fwupd error gnome software

Comment 7 FlyDove 2020-11-05 07:49:19 UTC
fwupd   Only Work At LANG=en_US.UTF-8

Comment 8 FlyDove 2020-11-17 21:39:41 UTC
Intel(R) CSME Version Detection Tool
Copyright(C) 2017-2020, Intel Corporation, All rights reserved.

Application Version: 4.0.1.0
Scan date: 2020-11-17 21:34:11 GMT

*** Host Computer Information ***
Name: FedoraLinux
Manufacturer: Hewlett-Packard
Model: HP Notebook
Processor Name: Intel(R) Core(TM) i7-5500U CPU @ 2.40GHz
OS Version: Fedora 32 (Workstation Edition) (5.9.8-100.fc32.x86_64)

*** Intel(R) ME Information ***
Engine: Intel(R) Management Engine
Version: 10.0.30.1072

*** Risk Assessment ***
Based on the analysis performed by this tool: The system is not supported
Firmware versions of Intel(R) ME 3.x thru 10.x,
Intel(R) TXE 1.x thru 2.x and Intel(R) Server Platform Services 1.x thru 2.x are no longer supported,
thus were not assessed for the vulnerabilities/CVEs listed in these Security Advisories.
There is no new release planned for these versions.

Comment 9 Richard Hughes 2020-11-18 16:14:13 UTC
When it crashes in gdb please do "bt" to show the backtrace.


Note You need to log in before you can comment on or make changes to this bug.